from django.urls import path, include

from accounts import views
from django.conf.urls import url
from django.contrib.auth import views as auth_views


urlpatterns = [
    path('login/', views.login, name='login'),
    url(r'^accounts/logout/', auth_views.LogoutView.as_view(template_name='registration/logout.html'), name='logout'),
    path('accounts/login/', views.login, name='login'),
    path('accounts/password_change/', auth_views.PasswordChangeView.as_view(template_name='registration/password_change.html'),),
    # path('accounts/logout', views.login, name='login'),
    path('accounts/', include('django.contrib.auth.urls')),
    path('home/', views.home, name='homepage'),
    path('register/kisan/', views.kisan_regis, name='kisan_regis'),
    path('register/cust/', views.cust_regis, name='cust_regis'),
    path('register/seller/', views.seller_regis, name='seller_regis'),
    path('accounts/signup_verify/<str:otp>/', views.signupVerify, name="signup_verify"),
    path('accounts/otp_verify/', views.OtpVerify, name="otp_verify"),
    path('accounts/get_pass/', views.getpass, name="get_password"),
]


# https://stackoverflow.com/questions/61769602/otp-verification-in-django-rest-framework